Updated firmware required when using IPv6 with Chelsio Unified Wire Adapters and Red Hat Enterprise Linux 7.6 or older

Solution Verified - Updated -

Environment

  • Chelsio Unified Wire Adapters
  • Red Hat Enterprise Linux 7.6 or older, which shipped with Chelsio firmware older than version 1.22.9.0
  • An IPv6 environment
  • Virtualized adapters (VFs)

Issue

When using Chelsio Unified Wire Adapters operating in a virutalized mode (VFs are present) on IPv6 networks, programming of the VF MAC address may fail.

Resolution

Customers with this environment should ensure that they are using firmware version 1.22.9.0 or newer to avoid this IPv6-specific issue. This firmware is newer than that shipped in 7.6, so customers should obtain it from the following links. Future update releases of Red Hat Enterprise Linux 7 will contain newer firmware that delivers this fix.

Firmware version 1.22.9.0 for T6 cards

Firmware version 1.22.9.0 for T5 cards

This solution is part of Red Hat’s fast-track publication program, providing a huge library of solutions that Red Hat engineers have created while supporting our customers. To give you the knowledge you need the instant it becomes available, these articles may be presented in a raw and unedited form.